Installing with multiple versions of g++ (redux)

Last year I posted a request for supporting multiple versions of GCC. (I am installing on a cluster where the version of GCC is selected through use of an environment module). I got an answer involving running a network install and running addlocalrc to find the various versions of GCC. This has been working fine through the last several PGI versions, but I was wondering: Is this still the recommended method for supporting multiple GCC versions?

Thanks!

Hi Ben,

Yes, using multiple localrc files, is still the method used to support multiple GNU versions within the same installations. We did add an environment variable “PGI_LOCALRC” variable which you can set in the module to the particular localrc for the GNU version.

-Mat